* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}


:root{
    --mainGreen: #cfe8d3;
    --mainPink: #fdebed;
    --darkGreen: #8fa38a;
    --oat: #fef6ea;
    --gold : #d8b384;
}
html{
    font-family: playfair display, serif;
}

body {
  background: white;
  display: flex;
  justify-content: center;
}

.app {
  width: 100%;
  max-width: 450px;
  position: relative;
  overflow-x: hidden;
}

/* ===== Glass Nav ===== */
.glass {
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  background: rgba(255,255,255,0.6);
  border: 1px solid rgba(255,255,255,0.3);
}

/* ===== Top Nav ===== */
.top-nav {
  position: fixed;
  top: 0;
  width: 100%;
  max-width: 450px;
  height: 60px;
  padding: 0 40px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  z-index: 1000;
}

.top-nav h1 {
  font-size: 18px;
  letter-spacing: 1px;
  color: var(--darkGreen)
}

.rsvp-btn {
  background: var(--darkGreen);
  color: white;
  padding: 8px 16px;
  font-size: 12px;
  border-radius: 20px;
  text-decoration: none;
}

/* ===== Hero ===== */
.hero {
  color: white;
  position: relative;
  height: 100vh;
  width: 100%;
  background: url(/images/mainImage.png) center/cover no-repeat;
}

.hero::before {
  content: "";
  position: absolute;
  inset: 0;
}

.hero-content {
  position: relative;
  z-index: 1;
}

.hero-content-header{
    position: relative;
    height: 100%;
    background-color: blue;
    width: 100%;
}

.hero-content-header img{
    position: absolute;
    top: 5px;
    right: 5px;
    width: 150px;
}

.hero h2 {
  font-size: 32px;
  margin-bottom: 10px;
}

.countdown {
  margin-top: 20px;
  font-size: 16px;
}

.cta{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    color: var(--darkGreen);
    font-family: playfair display, serif;
    font-size: 17px;
    font-weight: 100;
}

.cta p{
    font-size: 13px;
}

/* ===== Photo Carousel ===== */
/* ===== Photo Carousel ===== */
.carousel-wrapper {
  width: 100vw;
  margin-left: 50%;
  transform: translateX(-50%);
  padding: 30px 0 10px 0;
}

.carousel {
  display: flex;
  overflow-x: auto;
  gap: 10px;
  padding: 0 40px; /* keeps visual alignment with content */
  scroll-behavior: smooth;
}

.carousel::-webkit-scrollbar {
  display: none;
}

.carousel {
  -ms-overflow-style: none;
  scrollbar-width: none;
}

.photo-card {
  flex: 0 0 auto;
  width: 160px;
  height: 250px;
  border-radius: 10px;
  overflow: hidden;
}

.photo-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  pointer-events: none;
  user-select: none;
}

.OurDayHeader{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--darkGreen);
    font-family: playfair display, serif;
    font-size: 1.8rem;
}

.OurDay{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-direction: row;
    gap: 10px;
}

.OurDay img{
    width: 50px;
}

.OurDayCard p{
    font-size: 0.8rem;
}

.OurDayCard{
    color: var(--darkGreen);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#attire{
    color: var(--darkGreen);
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    flex-direction: column;
    background-size: 450px 1000px;
    background-repeat: none;
}

.attire-Wrapper{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 20px;
}



.has2{
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    text-align: center;
}

.AttireCardSides{
    width: 50%;
}

.AttireCardSides h4{
    font-size: 1.2rem;
}

.hasCenter{
    text-align: center;
}

.hasCircles{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    gap: 8px;
}

.circle{
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background-color: var(--darkGreen);
}

.c1{
    background-color: #6f8864;
}
.c2{
    background-color: #93a58e;
}
.c3{
    background-color: #c8dcc0;
}
.c4{
    background-color: #ba8179;
}
.c5{
    background-color: #eba69b;
}
.c6{
    background-color: #f6dadb;
}
.c7{
    background-color: #d2b58b;
}
.c8{
    background-color: #e8d9c3;
}
.c9{
    background-color: #eba69b;
}
.c10{
    background-color: #f6dadc;
}
.c11{
    background-color: #d3b68b;
}
.c12{
    background-color: #e8d9c3;
}



#entourage{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-image: url(/images/BG1.png);
  background-size: 450px 1000px;
  background-repeat: none;
}

.entourageWrapper{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  gap: 10px;
  
}

.entourageSide{
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}

p2{
  font-size: 0.65rem;
  color: lightslategray;
}

p3{
  font-size: 0.6rem;
  color: gray;
}

h6{
  color: var(--gold);
}

.dotsBtn a{
  font-size: 0.5rem;
  text-decoration: none;
  background-color: var(--gold);
  color: white;
  padding: 5px 10px;
  border-radius: 10px;
}



.hasPadding5{
  padding: 5px;
}

.haspadding15{
  padding: 10px;
}

.entourageSide h5{
  padding: 0 0 5px 0;
  color: var(--gold);
  font-size: 1rem;
}

.textCenter{
  text-align: center;
  color: var(--darkGreen);
}

.entourageTitle{
  margin: 20px 0;
  color: var(--gold);
}

.entourageEnd{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  gap: 5px;
  padding-top: 20px;
}

/* ===== Sections ===== */
section {
  padding: 0;
}


section h2 {
  font-size: 24px;
  margin-bottom: 20px;
}

section p {
  font-size: 14px;
  line-height: 1.6;
  margin-bottom: 8px;
}

#hero{
   padding: 120px 40px;

}

#details{
   padding: 120px 40px;
}

#attire{
  padding: 120px 40px;
}

#entourage{
  padding: 120px 40px;
}

#faq{
  padding: 120px 40px;
}

#rsvp{
  padding: 120px 40px;
}

.details-header{
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--darkGreen);
    font-size: 1.8rem;
    font-weight: bold;
}

.details-ceremony-wrapper{    
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    align-items: center;
}

.details-ceremony-img img{

    height: 200px;
    border-radius: 10px;
    overflow: hidden;
}

.details-ceremony-info{
    display: flex;
    flex-direction: column;
    text-align: center;
    color: var(--darkGreen);
}

.waze-btn{
    width: 80px;
}

.padding20{
    padding: 20px;
}

.padding10{
    padding: 10px;
}

/* ===== Bottom Nav ===== */
.bottom-nav {
  position: fixed;
  bottom: 0;
  width: 100%;
  max-width: 450px;
  height: 65px;
  display: flex;
  justify-content: space-around;
  align-items: center;
  z-index: 1000;
}

.bottom-nav a {
  text-decoration: none;
  color: black;
  font-size: 11px;
}

/* ===== Form ===== */
form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

input, select, textarea {
  padding: 10px;
  border: 1px solid #ddd;
  width: 100%;
  font-size: 14px;
}

button {
  padding: 12px;
  border: none;
  background: black;
  color: white;
  font-size: 14px;
  cursor: pointer;
}

#faq{
  background-image: url(/images/BG2.png);
}

#rsvp{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  gap: 0;
}

.RSVPImg{
  width: 100%;
  padding: 0;
  margin: 0;
}

.rsvp-p{
  color: var(--darkGreen);
  margin-top: 20px;
  margin-bottom: 20px;
  text-align: center;
}

.rsvp-h2a{
  font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
  font-size: 1.25rem;
  padding: 0;
  margin: 0;
  color: var(--darkGreen);
}

.rsvp-h2b{
  font-size: 5rem;
  padding: 0;
  margin: 0;
}

.rsvp-link-btn{
  text-decoration: none;
  color: white;
  padding: 20px 30px;
  background-color: var(--darkGreen);
  border-radius: 20px;
}

.rsvp-link-btn a{
  color: white;
}

@media screen and (max-width: 370px){
  p2{
  font-size: 0.5rem;
  color: lightslategray;
  }

}